function maskC=get_aste_mask_for_budget(hFacC)
%------
%function maskC=get_aste_mask_for_budget(hFacC)
% input:
%   hFacC, will hard-codedly zero out obcs
%   example directory where hFacC is read from:
%   /work/03901/atnguyen/llc270/aste_270x450x180/GRID_real8/
% output: 
%   maskC in compact format, for aste_270x450x180 specifically
%
% atn 28.jul.2018, copy from my version to close gcmfaces budgets
%----

nx=270;
nfx=[nx 0 nx 180 450];nfy=[450 0 nx nx nx];

hFacC(find(hFacC==0))=nan;
maskC=get_aste_tracer(hFacC,nfx,nfy);
  maskC(:,845,:)=nan;maskC(:,24,:)=nan;maskC(366,261:262,:)=nan;	%Last one: Gibraltar Strait
  maskC=aste_tracer2compact(maskC,nfx,nfy);				%270 x 1350

return
